MPATHCONF(8)

NAME
mpathconf - A tool for configuring device-mapper-multipath

SYNOPSIS
mpathconf [commands] [options]

DESCRIPTION
mpathconf is a utility that creates or modifies /etc/multipath.conf. It can enable or disable multipathing and configure some common options. mpathconf can also load the dm_multipath module, start and stop the multipathd daemon, and configure the multipathd service to start automatically or not. If mpathconf is called with no commands, it will display the current configuration.

The default options for mpathconf are --with_module The --with_multipathd option is not set by default. Enabling multipathing will load the dm_multipath module but it will not immediately start it. This is so that users can manually edit their config file if necessary, before starting multipathd.

If /etc/multipath.conf already exists, mpathconf will edit it. If it does not exist, mpathconf will create a default file with user_friendly_names and find_multipaths set. To disable these, use the --user_friendly_names n and --find_multipaths n options

COMMANDS

--enable
    Removes any line that blacklists all device nodes from the /etc/multipath.conf blacklist section.

--disable
    Adds a line that blacklists all device nodes to the /etc/multipath.conf blacklist section. If no blacklist section exists, it will create one.

--user_friendly_name  { y | n }
    If set to y, this adds the line user_friendly_names yes to the /etc/multipath.conf defaults section. If set to n, this removes the line, if present. This command can be used along with any other command.

--find_multipaths { y | n }
    If set to y, this adds the line find_multipaths yes to the /etc/multipath.conf defaults section. If set to n, this removes the line, if present. This command can be used aldong with any other command.

OPTIONS

--with_module { y | n }
    If set to y, this runs modprobe dm_multipath to install the multipath modules. This option only works with the --enable command. This option is set to y by default.

--with_multipathd { y | n }
    If set to y, this runs service multipathd start to start the multipathd daemon on --enable, service multipathd stop to stop the multipathd daemon on --disable, and service multipathd reload to reconfigure multipathd on --user_frindly_names and --find_multipaths. This option is set to n by default.

FILES
/etc/multipath.conf

SEE ALSO
multipath.conf(5), modprobe(8), multipath(8), multipathd(8), service(8),

AUTHOR
Benjamin Marzinski <bmarzins@redhat.com>